Fetch Linked Institution Transactions

Use the linked-institution/:linkedInstitutionId/transactions endpoint to fetch transactions from a linked institution. This endpoint retrieves transaction data from the underlying provider (e.g., Plaid) and returns paginated results.

You can optionally filter by specific accounts using linkedInstitutionAccountIds, and specify a date range using startDate and endDate. If no date range is provided, transactions from the last 30 days will be returned.

Transactions are returned in reverse chronological order (most recent first).

Path Params
string
required

Pass in the linked institution ID

Query Params
linkedInstitutionAccountIds
array of strings

Optional array of linked institution account IDs to filter transactions. If not provided, transactions from all accounts will be returned.

linkedInstitutionAccountIds
string

The earliest date for which data should be returned (YYYY-MM-DD)

string

The latest date for which data should be returned (YYYY-MM-DD)

string
Defaults to 1

The desired page to fetch

string
Defaults to 50

Specify the number of results per page

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json